GLSA 200611-14 TORQUE: Insecure temproary file creation
Posted on: 11/21/2006 04:45 PM

A new security update has been released for Gentoo Linux - TORQUE: Insecure temproary file creation. Here the announcement:

Gentoo Linux Security Advisory GLSA 200611-14
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
http://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: High
Title: TORQUE: Insecure temproary file creation
Date: November 20, 2006
Bugs: #152104
ID: 200611-14

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

TORQUE creates temporary files in an insecure manner which could lead
to the execution of arbitrary code with elevated privileges.

Background
==========

TORQUE is a resource manager providing control over batch jobs and
distributed compute nodes.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 sys-cluster/torque lt; 2.1.2-r2 gt;= 2.1.2-r2

Description
===========

TORQUE creates temporary files with predictable names. Please note that
the TORQUE package shipped in Gentoo Portage is not vulnerable in the
default configuration. Only systems with more permissive access rights
to the spool directory are vulnerable.

Impact
======

A local attacker could create links in the temporary file directory,
pointing to a valid file somewhere on the filesystem. This could lead
to the execution of arbitrary code with elevated privileges.

Workaround
==========

Ensure that untrusted users don't have write access to the spool
directory.

Resolution
==========

All TORQUE users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose "gt;=sys-cluster/torque-2.1.2-r2"

References
==========

[ 1 ] CVE-2006-5677
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-5677

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

http://security.gentoo.org/glsa/glsa-200611-14.xml

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
http://bugs.gentoo.org.

License
=======

Copyright 2006 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/glsa_200611_14_torque_insecure_temproary_file_creation.html)